/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.check.error;

import static org.junit.Assert.*;

import java.util.Optional;

import org.junit.Test;

import de.hft.stuttgart.citydoctor2.datastructure.Building;
import de.hft.stuttgart.citydoctor2.datastructure.GmlId;
import de.hft.stuttgart.quality.model.AttributeMissing;
import de.hft.stuttgart.quality.model.ValidationError;

public class AttributeMissingErrorTest {

	@Test
	public void testConvertToQualityAdeDatastructure() {
		Building b = new Building();
		GmlId id = new GmlId("testid");
		b.setGmlId(id);
		AttributeMissingError err = new AttributeMissingError(b, "childid", "attr", false);
		Optional<ValidationError> opt = err.convertToQualityAdeDatastructure();
		assertTrue(opt.isPresent());
		ValidationError validationError = opt.get();
		AttributeMissing adeErr = (AttributeMissing) validationError;
		assertEquals("childid", adeErr.getChildId());
		assertEquals("attr", adeErr.getAttributeName());
		assertFalse(adeErr.isGeneric());
	}

}
